Page MenuHomePhabricator

[Regression] Linking to a specific page revision in mobile, interface elements are repeated
Closed, ResolvedPublic2 Story Points

Event Timeline

geraki created this task.Jul 11 2016, 11:51 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 11 2016, 11:51 AM
Jdlrobson renamed this task from Linking to a specific page revision in mobile, interface elements are repeated to Regression: Linking to a specific page revision in mobile, interface elements are repeated.Jul 11 2016, 5:08 PM
Jdlrobson added a project: Regression.
Jdlrobson triaged this task as High priority.Jul 11 2016, 5:13 PM
Jdlrobson added a subscriber: Jdlrobson.

This appears to be a new regression. It didn't used to do that. Should be easy to fix.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 11 2016, 5:13 PM
MBinder_WMF renamed this task from Regression: Linking to a specific page revision in mobile, interface elements are repeated to [Regression] Linking to a specific page revision in mobile, interface elements are repeated.Jul 25 2016, 4:56 PM
MBinder_WMF set the point value for this task to 2.
MBinder_WMF moved this task from Triaged but Future to 2016-17 Q2 on the Readers-Web-Backlog board.
bmansurov claimed this task.Aug 1 2016, 6:30 PM
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-78-Terminal-Velocity board.

Change 302296 had a related patch set uploaded (by Bmansurov):
Do not show the revision info twice

https://gerrit.wikimedia.org/r/302296

@bmansurov's patch fixes this problem but introduces a less severe regression which I think should be fixed as part of solving this bug (I would have -1ed the patch but I felt it was a step in the right direction).

The breadcrumbs now appear in the warning box even though they are not a warning.


To replicate:

  • Put $wgNamespacesWithSubpages[0] = true; in LocalSettings.php
  • Create page "Breadcrumbs"
  • Create page "Breadcrumbs/2"
  • Edit "Breadcrumbs/2"
  • View "Breadcrumbs/2" with the first revision

Change 302296 merged by jenkins-bot:
Do not show the revision info twice

https://gerrit.wikimedia.org/r/302296

@Nirzar what do you think about the screenshot at T139930#2513005? Should we not wrap the revision info in a warning box? The content doesn't seem like it's a warning.

Compare before:


with after:

Nirzar added a comment.Aug 2 2016, 4:45 AM

As long as warning box has neutral styling (grey) i think it's a good idea to separate it from the actual content of the page.

Change 302485 had a related patch set uploaded (by Bmansurov):
Wrap revision info and nav in a div for easy formatting in MobileFrontend

https://gerrit.wikimedia.org/r/302485

Change 302486 had a related patch set uploaded (by Bmansurov):
Do not wrap breadcrumbs into a warning box

https://gerrit.wikimedia.org/r/302486

Change 302485 merged by jenkins-bot:
Wrap revision info and nav in a div for easy formatting in MobileFrontend

https://gerrit.wikimedia.org/r/302485

Change 302486 merged by jenkins-bot:
Do not wrap entire subtitle on diff pages in a warning box

https://gerrit.wikimedia.org/r/302486

bmansurov removed bmansurov as the assignee of this task.EditedAug 3 2016, 9:43 PM
bmansurov added a subscriber: bmansurov.
phuedx assigned this task to dr0ptp4kt.Aug 4 2016, 3:21 AM

Signing off. I don't have a screenshot from before the first patch was merged, so I can't recall the exact nature of the change. But stable and the provided links look okay and don't seem to be repeating elements.

dr0ptp4kt closed this task as Resolved.Aug 6 2016, 12:00 PM